﻿#pragma once

#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"

class MainFrame;

class CSettingGeneral : public CContainerUI
{
public:
	CSettingGeneral();
	~CSettingGeneral();

	void CreateControl();
	void InitControl();
	bool DoApply();
	void NotifyItemSelect(TNotifyUI& msg);
	void NotifyCtrlClick(TNotifyUI& msg);

private:
	void InitLanguage();
	void InitTimeZone();
private:
    void _OnBtnChooseClicked(TNotifyUI& msg);
    void _OnBtnAutoLoginClicked(TNotifyUI& msg);
};


